texinfo-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

texinfo update (Mon Jul 23 09:23:01 EDT 2007)


From: Karl Berry
Subject: texinfo update (Mon Jul 23 09:23:01 EDT 2007)
Date: Mon, 23 Jul 2007 09:23:03 -0400

Index: ChangeLog
===================================================================
RCS file: /sources/texinfo/texinfo/ChangeLog,v
retrieving revision 1.734
retrieving revision 1.735
diff -u -r1.734 -r1.735
--- ChangeLog   15 Jul 2007 17:34:37 -0000      1.734
+++ ChangeLog   23 Jul 2007 13:10:43 -0000      1.735
@@ -1,3 +1,21 @@
+2007-07-23  Akim Demaille  <address@hidden>
+
+       Use hevea more like we use tex itself, no longer as a tool
+       that does everything magically.
+       * util/texi2dvi (run_hevea): Remove trailing spaces in the
+       output.
+       (run_tex_suite): Change to the working directory here, no longer
+       in...
+       (run_core_conversion): here, so that even when running hevea where
+       are in the working directory.
+       No longer call cd_orig, do it...
+       (run_tex_suite): here.
+       (run_hevea): Pass verbose flags to it when --debug.
+       (run_tex_suite): Since we now want to run the whole suite of tools,
+       including bibtex, with hevea, use run_core_conversion, not
+       run_tex.
+       (run_core_conversion): Now call run_tex.
+
 2007-07-15  Karl Berry  <address@hidden>
 
        * doc/info-stnd.texi (@copying, GFDL): remove, since it's
@@ -114,7 +132,7 @@
 2007-07-01  Karl Berry  <address@hidden>
 
        * pretest version 4.9.90.
-       
+
        * COPYING, all source files: GPLv3.
 
        * makeinfo/makeinfo.c,
@@ -125,7 +143,7 @@
 
        * Makefile.am (EXTRA_DIST): remove config.rpath, it's in build-aux now.
        * lib/Makefile.am (libtxi_A_SOURCES): system.h at top level now.
-       
+
        * util/texi2dvi (move_to_dest): still more tweaks to try avoid
        complaints from cp and cmp.
 
@@ -165,13 +183,13 @@
 
        * lang.c (default_country_for_lang): just return country code, not
        whole locale string.
-       
+
        * makeinfo.h (output_head_p): new global.
        * makeinfo.c (info_output_head, output_head): new fns.
        (add_char): call it.  This is so we can translate the file header
        ("produced by Makeinfo ...") in Info output as well as HTML.
        * html.c,
-       * html.h, 
+       * html.h,
        * cmds.c: change usage of html_output_head_p to output_head_p, etc.
 
 2007-06-17  Karl Berry  <address@hidden>
@@ -186,7 +204,7 @@
        language codes, change is too rapid.
 
        * doc/texinfo.tex (\codequoteright, \codequoteleft): support
-       @set txicodequoteundirected and 
+       @set txicodequoteundirected and
        @set txicodequotebacktick, respectively, as well as the non-txi names.
        * doc/texinfo.txi (Inserting Quote Characters): new node.
        * NEWS: mention both.
@@ -264,7 +282,7 @@
 
        * makeinfo/html.c (process_css_file): Don't omit copying the i
        of @import.  (Reported on 27 Sep 06.)
-       
+
 2007-04-29  Karl Berry  <address@hidden>
 
        * system.h [__CYGWIN__]: #define STRIP_DOT_EXE 0 (since gunzip.exe
@@ -363,7 +381,7 @@
 
 2007-03-13  Oleg Katsitadze  <address@hidden>
 
-       * doc/texinfo.tex (\enddoublecolumns): add \penalty0 so the 
+       * doc/texinfo.tex (\enddoublecolumns): add \penalty0 so the
        recent contributions won't be spuriously added to an index page.
 
 2007-02-26  Karl Berry  <address@hidden>
Index: util/texi2dvi
===================================================================
RCS file: /sources/texinfo/texinfo/util/texi2dvi,v
retrieving revision 1.99
retrieving revision 1.100
diff -u -r1.99 -r1.100
--- util/texi2dvi       1 Jul 2007 22:32:12 -0000       1.99
+++ util/texi2dvi       23 Jul 2007 13:10:43 -0000      1.100
@@ -1,6 +1,6 @@
 #! /bin/sh
 # texi2dvi --- produce DVI (or PDF) files from Texinfo (or (La)TeX) sources.
-# $Id: texi2dvi,v 1.99 2007/07/01 22:32:12 karl Exp $
+# $Id: texi2dvi,v 1.100 2007/07/23 13:10:43 akim Exp $
 #
 # Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2001,
 # 2002, 2003, 2004, 2005, 2006, 2007 Free Software Foundation, Inc.
@@ -33,7 +33,7 @@
 set -e
 
 # This string is expanded by rcs automatically when this file is checked out.
-rcs_revision='$Revision: 1.99 $'
+rcs_revision='$Revision: 1.100 $'
 rcs_version=`set - $rcs_revision; echo $2`
 program=`echo $0 | sed -e 's!.*/!!'`
 version="texi2dvi (GNU Texinfo 4.9) $rcs_version
@@ -925,6 +925,12 @@
 # Run the TeX tools until a fix point is reached.
 run_tex_suite ()
 {
+  # Move to the working directory.
+  if $tidy; then
+    verbose "cd $work_build"
+    cd "$work_build" || exit 1
+  fi
+
   # Count the number of cycles.
   local cycle=0
 
@@ -939,7 +945,7 @@
     # converse.
     run_bibtex
     run_index
-    run_tex
+    run_core_conversion
 
     xref_files_changed || break
   done
@@ -960,6 +966,8 @@
       move_to_dest "$in_noext.$(out_lang_ext)"
       ;;
   esac
+
+  cd_orig
 }
 
 ## -------------------------------- ##
@@ -1191,8 +1199,16 @@
   run_hevea="$run_hevea `list_prefix includes -I` -I '$orig_pwd' "
   run_hevea="$run_hevea '$in_input'"
 
+  if $debug; then
+    run_hevea="$run_hevea -v -v"
+  fi
+
   verbose "running $run_hevea"
   if eval "$run_hevea" >&5; then
+    # hevea leaves trailing white spaces, this is annoying.
+    case $1 in text|info)
+      perl -pi -e 's/[ \t]+$//g' "$out_base"*;;
+    esac
     case $1 in
     html|text) move_to_dest "$out_base";;
     info) # There can be foo.info-1, foo.info-2 etc.
@@ -1206,25 +1222,17 @@
 
 # run_core_conversion ()
 # ----------------------
-# Run the TeX tools until a fix point is reached.
+# Run the TeX (or HeVeA).
 run_core_conversion ()
 {
-  # Move to the working directory.
-  if $tidy; then
-    verbose "cd $work_build"
-    cd "$work_build" || exit 1
-  fi
-
   case $in_lang:$(out_lang_tex) in
     *:dvi|*:pdf)
-       run_tex_suite;;
+       run_tex;;
     latex:html|latex:text|latex:info)
        run_hevea $out_lang;;
     *)
        error 1 "invalid input/output combination: $in_lang/$out_lang";;
   esac
-
-  cd_orig
 }
 
 
@@ -1264,7 +1272,7 @@
   run_recode
 
   # Run until a fix point is reached.
-  run_core_conversion
+  run_tex_suite
 }
 
 
P ChangeLog
P util/texi2dvi




reply via email to

[Prev in Thread] Current Thread [Next in Thread]